:root {
    --md-primary-fg-color:        #0d9488;
    --md-primary-fg-color--light: #ccfbf1;
    --md-primary-fg-color--dark:  #115e59;
    --md-primary-bg-color:               #042f2e;
    --md-primary-bg-color--light:        #115e59;

  /* Accent color shades */
    --md-accent-fg-color:                #99f6e4;
    --md-accent-fg-color--transparent:   #14b8a6;
    --md-accent-bg-color:                hsla(0, 0%, 100%, 1);
    --md-accent-bg-color--light:         hsla(0, 0%, 100%, 1);
  }

  /* ------------------------------------------------------------------------- */
/* Landing page container                                                    */
/* ------------------------------------------------------------------------- */
.mdx-container {
  padding-top: 20px; /* or use rem if desired */
  background:
    linear-gradient(
      to bottom,
      var(--md-primary-fg-color),
      var(--md-primary-fg-color) 60%,
      /* var(--md-accent-fg-color) 95%, */
      var(--md-default-bg-color) 99%
    );
}

/* When using the Slate color scheme, adjust the background. */
[data-md-color-scheme="slate"] .mdx-container {
  background:
    linear-gradient(
      to bottom,
      var(--md-primary-fg-color),
      var(--md-primary-fg-color) 60%,
      var(--md-default-bg-color) 99%
    );
}

/* ------------------------------------------------------------------------- */
/* Landing page hero                                                         */
/* ------------------------------------------------------------------------- */
.mdx-hero {
  margin: 0 40px; /* gap around content */
  color: var(--md-primary-bg-color);
}

/* Hero headline */
.mdx-hero h1 {
  margin-bottom: 20px;
  font-weight: 800;
  color: currentColor; /* same color as parent */
}

/* On narrower screens, bump headline size */
@media screen and (max-width: 640px) {
  .mdx-hero h1 {
    font-size: 28px;
  }
}

/* Hero content block */
.mdx-hero__content {
  padding-bottom: 120px;
}


@media screen and (min-width: 768px) {
  .mdx-hero {
    display: flex;
    align-items: center;       /* vertically centers the items */
    justify-content: center;   /* horizontally centers the items */
    gap: 10px;                 /* optional gap between the content and image */
  }

  .mdx-hero__content {
    max-width: 40%;
    /* margin-top: 10%; */
    padding-bottom: 16vw;
    /* margin-bottom: 10%; */
    transform: translateY(20%);
    /* font-size: larger; */
  }

  .mdx-hero__image {
    order: 1;
    width: 380px;
    /* transform: translateY(-120px); */
    /* Remove transform so the image isn’t offset */
  }
}

@media screen and (max-width: 767px) {
  .mdx-hero {
    display: flex;
    flex-direction: column;
  }
  .mdx-hero__image {
    padding-top: 10%;
    order: 1; /* Image appears first */
  }
  .mdx-hero__content {
    order: 2; /* Content appears second */
    /* Optionally adjust any transforms or padding that were set for larger screens */
    transform: none;
    padding-bottom: 20px;
  }
}


/* On even larger screens, push image further */
@media screen and (min-width: 1200px) {
  .mdx-hero__image {
    transform: translateX(80px);
  }
}

/* ------------------------------------------------------------------------- */
/* Hero buttons                                                              */
/* ------------------------------------------------------------------------- */
.mdx-hero .md-button {
  margin-top: 10px;
  margin-right: 10px;
  color: var(--md-primary-fg-color--dark);
  background-color: var(--md-accent-fg-color--transparent);
}

.mdx-hero .md-button:hover,
.mdx-hero .md-button:focus {
  color: var(--md-accent-bg-color);
  background-color: var(--md-accent-fg-color);
  border-color: var(--md-primary-bg-color);
}

/* Primary-style button variant */
.mdx-hero .md-button--primary {
  color: var(--md-primary-bg-color);
  background-color: var(--md-accent-bg-color);
  border-color: var(--md-primary-fg-color--dark);
}
